Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038357
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-04-12 16:492018-05-09 19:29
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision1828446d8690
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038357: Unused connection pool created on module installation

DescriptionA unused connection pool[1] is being created on module installation (one per installed module).

This can lead to problems with connection availability if the number of modules to be installed is big.

We have been able to reproduce it with CI[2], as there are some jobs like try-initial-pgsql which tries to install several modules, running the jobs with the following parameters: TRY_PARAMS###TC8=yes###JAVA_HOME=/usr/local/jvm/java-9.0.4-openjdk-amd64###DESC=try_java9


[1] https://code.openbravo.com/erp/devel/pi/file/60a2a309d225/src/org/openbravo/erpCommon/modules/ImportModule.java#l1284 [^]
[2] https://ci.openbravo.com//job/try-initial-pgsql/6736/artifact/SANDBOX/tomcat-logs/ci04.148_tc8.log/*view*/ [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038344 closedcaristu Restart tomcat 8.0 not working after installing a module through MMC using JDK9 
depends on backport 00383583.0PR18Q2 closedcaristu Unused connection pool created on module installation 
related to feature request 0037083 closedalostale support JDK 9 

-  Notes
(0103852)
hgbot (developer)
2018-04-12 17:05

Repository: erp/devel/pi
Changeset: 1828446d8690e1c1eceee90d00d0feb668faae83
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Apr 12 17:04:43 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1828446d8690e1c1eceee90d00d0feb668faae83 [^]

fixes issue 38357: Unused connection pool created on module installation

---
M src/org/openbravo/erpCommon/modules/ImportModule.java
---
(0103863)
alostale (developer)
2018-04-13 08:14

reviewed
(0104377)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-12 16:49 caristu New Issue
2018-04-12 16:49 caristu Assigned To => platform
2018-04-12 16:49 caristu Modules => Core
2018-04-12 16:49 caristu Triggers an Emergency Pack => No
2018-04-12 16:49 caristu Relationship added related to 0038344
2018-04-12 16:49 caristu Status new => scheduled
2018-04-12 16:49 caristu Assigned To platform => caristu
2018-04-12 16:55 caristu Description Updated View Revisions
2018-04-12 16:55 caristu Steps to Reproduce Updated View Revisions
2018-04-12 16:58 caristu Description Updated View Revisions
2018-04-12 17:05 hgbot Checkin
2018-04-12 17:05 hgbot Note Added: 0103852
2018-04-12 17:05 hgbot Status scheduled => resolved
2018-04-12 17:05 hgbot Resolution open => fixed
2018-04-12 17:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1828446d8690e1c1eceee90d00d0feb668faae83 [^]
2018-04-12 17:13 caristu Review Assigned To => alostale
2018-04-13 08:14 alostale Note Added: 0103863
2018-04-13 08:14 alostale Status resolved => closed
2018-04-13 08:14 alostale Fixed in Version => 3.0PR18Q3
2018-04-13 08:23 alostale Relationship added related to 0037083
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104377


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker